#Include "crt.bi"
#Include "squall.bi"

' определения
#define PRIORITY_NORMAL 50    '	 приоритет
#define MIN_DIST 50           '	 минимальное растояние слышимости
#define MAX_DIST 500          '	 максимальное растояние слышимости


' основной цикл

' переменные
Dim As squall_sample_default_t def
Dim As Single Pos_(3)
Dim As Integer key


' инициализация звуковой системы
If SQUALL_Init(0) = 0 Then
	printf(!"Error init Squall Sound System !\n")
EndIf



' установка общих параметров
def.Frequency	   = 0
def.Pan			   = 50
def.Volume		   = 100
def.Priority      = PRIORITY_NORMAL
def.MinDist		   = MIN_DIST
def.MaxDist       = MAX_DIST

' загрузка вариантов звуков для ноги №1
def.SampleGroupID = 1
SQUALL_Sample_LoadFile("1.wav", 1, @def) ' фоновая музыка
SQUALL_Sample_LoadFile("2.wav", 1, @def) ' вздох

pos_(0) = 0
Pos_(1) = 0
pos_(2) = 0

Do
	If MultiKey(&h39) Then ' нажать пробел для воспроизведения
		'SQUALL_SampleGroup_Play(1, 0, 0, 1)
		SQUALL_SampleGroup_Play3D(1, 0, 0, 1, @pos_(0), 0)
	ElseIf MultiKey(1) Then
		Exit Do
	EndIf
	Sleep(1)
Loop

' выгрузим все звуки
SQUALL_Sample_UnloadAll()

' освободим двигатель
SQUALL_Free()
